Orxonox: orxonox::CameraPosition Class Reference

# orxonox::CameraPosition Class Reference

`#include <src/orxonox/objects/worldentities/CameraPosition.h>`

Inheritance diagram for orxonox::CameraPosition:

List of all members.

## Public Member Functions

void | attachCamera (Ogre::Camera *camera)
void | attachCamera (Camera *camera)
| CameraPosition (BaseObject *creator)
bool | getAllowMouseLook () const
bool | getDrag () const
bool | getIsAbsolute () const
bool | getRenderCamera () const
void | setAllowMouseLook (bool bAllow)
void | setDrag (bool bDrag)
void | setIsAbsolute (bool bAbsolute)
void | setRenderCamera (bool bRenderCamera)
virtual void | XMLPort (Element &xmlelement, XMLPort::Mode mode)
| XML loading and saving.
virtual | ~CameraPosition ()

## Private Attributes

bool | bAbsolute_
bool | bAllowMouseLook_
bool | bDrag_
bool | bRenderCamera_

## Constructor & Destructor Documentation

orxonox::CameraPosition::CameraPosition | ( | BaseObject * | creator | ) |

References bAbsolute_, bAllowMouseLook_, bDrag_, bRenderCamera_, RegisterObject, and orxonox::Synchronisable::setObjectMode().

orxonox::CameraPosition::~CameraPosition | ( |  | ) | `[virtual]`

## Member Function Documentation

void orxonox::CameraPosition::attachCamera | ( | Ogre::Camera * | camera | ) |

References orxonox::WorldEntity::attachOgreObject().

void orxonox::CameraPosition::attachCamera | ( | Camera * | camera | ) |

References orxonox::WorldEntity::attach(), bDrag_, and orxonox::Camera::setDrag().

Referenced by orxonox::Map::changedOwner().

bool orxonox::CameraPosition::getAllowMouseLook | ( |  | ) | const`[inline]`

Referenced by orxonox::ControllableEntity::addCameraPosition(), and XMLPort().

bool orxonox::CameraPosition::getDrag | ( |  | ) | const`[inline]`

Referenced by XMLPort().

bool orxonox::CameraPosition::getIsAbsolute | ( |  | ) | const`[inline]`

Referenced by orxonox::ControllableEntity::addCameraPosition(), and XMLPort().

bool orxonox::CameraPosition::getRenderCamera | ( |  | ) | const`[inline]`

Referenced by orxonox::ControllableEntity::addCameraPosition(), and XMLPort().

void orxonox::CameraPosition::setAllowMouseLook | ( | bool | bAllow | ) | `[inline]`

Referenced by XMLPort().

void orxonox::CameraPosition::setDrag | ( | bool | bDrag | ) | `[inline]`

Referenced by XMLPort().

void orxonox::CameraPosition::setIsAbsolute | ( | bool | bAbsolute | ) | `[inline]`

Referenced by XMLPort().

void orxonox::CameraPosition::setRenderCamera | ( | bool | bRenderCamera | ) | `[inline]`

Referenced by XMLPort().

void orxonox::CameraPosition::XMLPort | ( | Element & | xmlelement,
|  | XMLPort::Mode | mode |
| ) |  |  | `[virtual]`

XML loading and saving.

Parameters:

  | xmlelement | The XML-element
  | loading | Loading (true) or saving (false)

Returns:
  The XML-element

Reimplemented from orxonox::WorldEntity.

References getAllowMouseLook(), getDrag(), getIsAbsolute(), getRenderCamera(), setAllowMouseLook(), setDrag(), setIsAbsolute(), setRenderCamera(), SUPER, and XMLPortParam.

## Member Data Documentation

bool orxonox::CameraPosition::bAbsolute_`[private]`

Referenced by CameraPosition().

bool orxonox::CameraPosition::bAllowMouseLook_`[private]`

Referenced by CameraPosition().

bool orxonox::CameraPosition::bDrag_`[private]`

Referenced by attachCamera(), and CameraPosition().

bool orxonox::CameraPosition::bRenderCamera_`[private]`

Referenced by CameraPosition().

The documentation for this class was generated from the following files:

- src/orxonox/objects/worldentities/CameraPosition.h
- src/orxonox/objects/worldentities/CameraPosition.cc